
mod quiz;

fn main() {
   
    quiz::qzlogs::log_init_profile(".\\qzlogs.conf");
    quiz::qzlogs::profile_time_start("RS_TEST04_");

    //UTF8 3バイト文字ダンプ
    let s = "あいうえおかきくけこさしすせそ";
    quiz::qzlogs::log_dump_utf8(&s.to_string(), s.to_string().len() as i32, "あいうえおダンプ");

    //UTF8 1バイト文字ダンプ
    let s1 = "abcdefghijklmnopqrstuvwxyz!";
    quiz::qzlogs::log_dump_utf8(&s1.to_string(), s1.to_string().len() as i32, "abcダンプ");

    //UTF8 2バイト文字ダンプ
    let s2 = "ÀÁÂcÃÄÅÆÇÈÉÊËÌÍÎÏÐoÑÒÓÔÕÖ×ØÙÚÛÜÝÞßàáâãäåæçèéêëìíîzïðñòóôõö÷øùúûüýþÿĀāĂăĄąĆćĈĉĊċČčĎď";
    quiz::qzlogs::log_dump_utf8(&s2.to_string(), s2.to_string().len() as i32, "2バイト文字ダンプ");

    
    //UTF16のサロゲート文字ダンプ
    let s3 = "a𠀋𡈽𡑮bc𡢽d𠮟𡚴𡸴𣇄𣗄𣜿e𣝣f𣳾𤟱𥒎g𥔎𥝱𥧄𥶡𦫿𦹀𧃴𧚄𨉷𨏍𪆐𠂉𠂢𠂤𠆢𠈓𠌫𠎁𠍱𠏹𠑊𠔉𠗖𠘨𠝏𠠇𠠺𠢹𠥼𠦝𠫓𠬝𠵅𠷡𠺕𠹭𠹤𠽟𡈁𡉕𡉻𡉴𡋤𡋗𡋽𡌶𡍄𡏄𡑭𡗗𦰩𡙇𡜆";
    quiz::qzlogs::log_dump_utf8(&s3.to_string(), s3.to_string().len() as i32, "UTF16サロゲート文字ダンプ");

    //バイナリダンプ
    let  b: &[u8] = &[0, 0x3, 0, 0xa, 0, 0, 240, 63, 0xff, 0xae, 0, 0xd8, 0x66, 0x72]; // Raw Dump Data
    quiz::qzlogs::log_dump_raw(b, b.len() as i32, "Raw Dump");

    quiz::qzlogs::profile_time_stop();
    quiz::qzlogs::log_term();
}

